import { ObjectModel } from '@yukawa/chain-base-angular-client';
import { AuthToken } from '../auth';
import { Role } from '../user/Role';
import { Roles } from '../user/Roles';
import { UserInfo } from './UserInfo';
export declare class User extends ObjectModel {
    private _sessionToken;
    private _userInfo;
    static readonly roles: Role[];
    private readonly _role;
    constructor(_sessionToken: AuthToken, _userInfo: UserInfo);
    get authToken(): AuthToken;
    get info(): UserInfo;
    get role(): Roles;
    get isAdmin(): boolean;
    get isDeveloper(): boolean;
    get isTester(): boolean;
    get isUser(): boolean;
    get isYukawa(): boolean;
    hasRole(role: Role): boolean;
}
