import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, CanLoad, Route, RouterStateSnapshot, UrlSegment, UrlTree } from '@angular/router';
import { Nullable } from 'simplytyped';
import { LoginRequestEventArgs } from './auth/LoginRequestEventArgs';
import { SessionService } from './SessionService';
import * as i0 from "@angular/core";
export declare class AuthGuardService implements CanActivate, CanActivateChild, CanLoad {
    protected _sessionService: SessionService;
    protected _loginRequestEventArgs: Nullable<LoginRequestEventArgs>;
    constructor(_sessionService: SessionService);
    get lastForbiddenRoute(): Nullable<string>;
    canActivate(routeSnapshot: ActivatedRouteSnapshot, statesSnapShot: RouterStateSnapshot): Promise<boolean>;
    canActivateChild(childRoute: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean | UrlTree>;
    canLoad(route: Route, segments: UrlSegment[]): Promise<boolean | UrlTree>;
    protected validate(redirectUrl: string): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthGuardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthGuardService>;
}
