import { ObjectModel } from '@yukawa/chain-base-angular-client';
import { IJWTHeader } from './IJWTHeader';
import { IJWTPayload } from './IJWTPayload';
export declare class WebToken<T extends IJWTPayload = IJWTPayload> extends ObjectModel {
    private _token;
    private readonly _header;
    private readonly _payload;
    private readonly _signature;
    constructor(_token: string);
    get header(): IJWTHeader;
    get payload(): T;
    get signature(): string;
    get subject(): string;
    get issuedAt(): Date;
    get expirationTime(): Date;
    get isExpired(): boolean;
    toString(): string;
}
