import { ObjectBase } from '@awesome-nodes/object/data';
import { IEquatable } from '@yukawa/chain-base-angular-client';
import { Credentials as ICredentials } from '@yukawa/chain-security-angular-core';
export declare class Credentials extends ObjectBase implements ICredentials, IEquatable<Credentials> {
    #private;
    constructor(username: string | ICredentials, password?: string, orgId?: string);
    get orgId(): string | undefined;
    set orgId(value: string | undefined);
    get username(): string;
    set username(value: string);
    get password(): string;
    set password(value: string);
    equals(other: Credentials): boolean;
    toJSON(): ICredentials;
}
