import { ConfigService } from '@yukawa/chain-base-angular-client';
import { Nullable } from 'simplytyped';
import * as i0 from "@angular/core";
export declare type SessionTokenItems = 'token' | 'user';
export declare class SessionStoreService {
    private _configService;
    constructor(_configService: ConfigService);
    get(item: SessionTokenItems, defaultValue?: string): Nullable<string>;
    set(item: SessionTokenItems, value: string): void;
    getJSON<T extends object>(item: SessionTokenItems): Nullable<T>;
    setJSON<T extends object>(item: SessionTokenItems, value: T): void;
    remove(item: SessionTokenItems): void;
    clear(): void;
    private getKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<SessionStoreService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SessionStoreService>;
}
