import { Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { Credentials, User } from '../../model/user';
import { UserService } from '../user';
import { AuthServiceBase } from './AuthServiceBase';
import { IAuthService, IAuthTokenResponse } from './IAuthService';
import * as i0 from "@angular/core";
export declare class AuthDesignService extends AuthServiceBase implements IAuthService {
    private _injector;
    constructor(_userInfoService: UserService, _injector: Injector);
    private static generateAccessToken;
    login(credentials: Credentials): Observable<User>;
    refresh(sessionToken: IAuthTokenResponse): Observable<IAuthTokenResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthDesignService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthDesignService>;
}
